curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/documents/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_type": "<string>",
"counterpart_name": "<string>",
"starts_with": 123
}
'{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"document_id": "<string>",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Generate an ID for given document
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/documents/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_type": "<string>",
"counterpart_name": "<string>",
"starts_with": 123
}
'{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"document_id": "<string>",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?